<?php
/**
 * Created by PhpStorm.
 * User: root
 * Date: 29.08.18
 * Time: 20:37
 */
require_once 'DB.php';

class Messages
{
    public $table = 'messages';
    public $fields = '*';
    public $connection;

    public function __construct()
    {
        $this->connection = DB::getConnection();
    }

    public function getMessages($pk): array
    {
        $query = $this->connection->prepare("SELECT  *  FROM  `messages` WHERE id > ?;");
        $query->execute([$pk]);
        $r = $query->fetchAll(PDO::FETCH_ASSOC);
        $array =[
            "data" => $r,
            "nextMessageId" => end($r)["id"] ? end($r)["id"] : $pk
        ];
        return $array;
    }

    public function addMessage(array $values): void
    {
        $query = $this->connection->prepare("INSERT INTO `messages` (`nick`, `message`, `timestamp`) VALUES ( ?, ?, ?)");

        $i = 1;
        foreach($values as $val){
            $query->bindValue($i, $val);
            $i++;
        }
        $query->execute();
    }
}
